## java-common 0.56ubuntu2

=== debian/changelog ===
java-common (0.56ubuntu2) xenial; urgency=medium

  * Build a default-jdk-headless package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2016 02:45:18 +0100

java-common (0.56ubuntu1) xenial; urgency=medium

  * default-jre: Lower recommends of default-java-plugin to a suggests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 12:43:53 +0100

java-common (0.56) unstable; urgency=medium

  * Team upload.
  * Build default-java-plugin for the architectures supporting icedtea-web only

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 15:47:24 +0100

java-common (0.55) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Bump m68k, sh4 and sparc64 to 1.8.

  [ Emmanuel Bourg ]
  * Upload to unstable
  * Fixed the name of the plugin dependency
    (icedtea-<n>-plugin instead of icedtea-<n>-web)
  * Standards-Version updated to 3.9.7 (no changes)
  * Properly handle the symlink to dir conversion in gcj-native-helper
    (Closes: #813223)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Feb 2016 00:42:57 +0100

java-common (0.54) experimental; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Use OpenJDK 8 on mips, mipsel and mips64el.
  * Added a new default-java-plugin package depending on the right plugin
    package for the current architecture, typically icedtea-<n>-plugin.
    default-java-plugin provides icedtea-plugin (Closes: #678381).
  * default-jre now recommends default-java-plugin
  * The Java Policy and the FAQ have been moved to the new java-policy package.
  * default-jdk-doc is now architecture dependent (Closes: #801257)
  * gcj-native-helper no longer depends on default-jdk
  * gcj-native-helper depends on gcj-jdk instead of openjdk (regression in 0.53)
  * default-jdk/jre now have unversioned dependencies on openjdk
  * Dropped support for non multiarch aware openjdk packages
  * update-java-alternatives now supports bash completion (Closes: #777550)
  * The output of update-java-alternatives --list is now aligned vertically
  * Removed the unused classpath-from-jars-1 example
  * Removed the old dummy control files
  * Removed the README about the old default-jdk-builddep transition
  * Removed the unused Lintian overrides for java-common
  * Removed the not implemented --test option from update-java-alternatives
    (Closes: #800024)
  * Converted debian/copyright to the Copyright Format 1.0
  * Simplified debian/rules using the dh sequencer
  * Removed the default values for Java 6 (no longer used)

  [ Matthias Klose ]
  * Bump alpha, kfreebsd-amd64 and kfreebsd-i386 to 1.8.
  * java_defaults.mk: Add jvm_archdir, jvm_archpath, jvm_includes macros.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Oct 2015 15:54:19 +0100

java-common (0.53) experimental; urgency=medium

  * Team upload.
  * Use OpenJDK 8 on amd64, arm64, armel, armhf, i386, powerpc, powerpcspe,
    ppc64, ppc64el, s390x and x32.
  * Prepared the default values for Java 9
  * Policy changes:
    - Programs must depend on the needed runtime environment, but not
      the libraries (Closes: #730133)
    - Replaced 'java' with 'Java' when referring to the language
    - Mentioned the virtual packages java{5,6,7,8}-runtime(-headless)?
  * Removed Niels Thykier from the uploaders (Closes: #770579)
  * Changed the maintainer from 'Debian Java Mailing List'
    to 'Debian Java Maintainers'
  * Standards-Version updated to 3.9.6 (no changes)
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Sep 2015 23:11:54 +0200
