=== debian/control ===
Source: java-common
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/pkg-java/java-common.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/java-common.git
Homepage: https://wiki.debian.org/Java/

Package: java-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: default-jre
Description: Base package for Java runtimes
 This package provides common tools for the Java runtimes, such as
 the update-java-alternatives mechanism used to switch between
 different versions of Java.

Package: default-jre
Architecture: any
Depends: default-jre-headless (= ${binary:Version}), ${jre},
 ${misc:Depends}
Suggests: default-java-plugin
Provides: ${jre:provides}
Description: Standard Java or Java compatible Runtime
 This dependency package points to the Java runtime, or Java compatible
 runtime recommended for the ${jre:arch} architecture,
 which is ${jre} for ${jre:arch}.

Package: default-jre-headless
Architecture: any
Depends: ${jhl}, java-common, ${misc:Depends}
Suggests: default-jre
Provides: ${jhl:provides}
Replaces: openjdk-6-jre-headless (<< 6b23~pre8-2~)
Description: Standard Java or Java compatible Runtime (headless)
 This package points to the Java runtime, or Java compatible
 runtime recommended for this architecture, which is
 ${jhl} for ${jre:arch}.
 .
 The package is used as dependency for packages not needing a
 graphical display during runtime.

Package: default-jdk
Architecture: any
Depends: default-jre (= ${binary:Version}), default-jdk-headless (= ${binary:Version}), ${jdk},
 ${misc:Depends}
Provides: ${jdk:provides}
Description: Standard Java or Java compatible Development Kit
 This dependency package points to the Java runtime, or Java compatible
 development kit recommended for this architecture, which is
 ${jdk} for ${jre:arch}.

Package: default-jdk-headless
Architecture: any
Depends: default-jre-headless (= ${binary:Version}), ${jdkhl},
 ${misc:Depends}
Provides: ${jdkhl:provides}
Description: Standard Java or Java compatible Development Kit (headless)
 This dependency package points to the Java runtime, or Java compatible
 development kit recommended for this architecture, which is
 ${jdk} for ${jre:arch}.

Package: default-jdk-doc
Architecture: any
Section: doc
Depends: ${doc}, ${misc:Depends}
Suggests: default-jdk
Description: Standard Java or Java compatible Development Kit (documentation)
 This package points to the documentation for the Java development kit,
 or Java compatible development kit recommended for Debian, which is
 ${doc} for ${jre:arch}.

Package: default-java-plugin
Architecture: any
Depends: default-jre (= ${binary:Version}), ${plugin}, ${misc:Depends}
Provides: icedtea-plugin
Description: Default Java Plugin for running applets and Java Web Start applications
 This dependency package points to the default Java Plugin recommended
 for the ${jre:arch} architecture. The Java Plugin adds the ability to run
 Java applets from a web browser and launch Java Web Start applications using
 the Java Network Launch Protocol (JNLP).

Package: gcj-native-helper
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gcj-jdk, ${misc:Depends}
Provides: default-jdk-builddep
Conflicts: default-jdk-builddep
Replaces: default-jdk-builddep
Description: Standard helper tools for creating gcj native packages
 This dependency package points to the build dependencies used to build
 gcj native packages.
 .
 Unlike default-jdk-builddep, this package only provides the
 helpers to compile jar/class files into native code and not
 a Java Development Kit (JDK). You do not need this package
 unless you are compiling jar/class files to native code.
