## java-common 0.57

=== debian/changelog ===
java-common (0.57) unstable; urgency=medium

  * Build a default-jdk-headless package.
  * java_defaults.mk: Fix jvm_archdir macro (Jonas Smedegaard). Closes: #814783.
  * Just remove the gcj-native-helper doc symlink on upgrade. Closes: #813223.
  * Remove Torsten Werner from uploaders.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Feb 2016 18:34:49 +0100
