=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klose <doko@debian.org>, Torsten Werner <twerner@debian.org>,
+Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-java/java-common.git
@@ -23,7 +23,7 @@
 Architecture: any
 Depends: default-jre-headless (= ${binary:Version}), ${jre},
  ${misc:Depends}
-Suggests: default-java-plugin
+Recommends: default-java-plugin
 Provides: ${jre:provides}
 Description: Standard Java or Java compatible Runtime
  This dependency package points to the Java runtime, or Java compatible
