## java-common 0.57ubuntu1

=== debian/changelog ===
java-common (0.57ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - default-jre: Lower recommends of default-java-plugin to a suggests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 May 2016 15:52:29 +0200
