=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Architecture: any
 Depends: default-jre-headless (= ${binary:Version}), ${jre},
  ${misc:Depends}
-Recommends: default-java-plugin
+Suggests: default-java-plugin
 Provides: ${jre:provides}
 Description: Standard Java or Java compatible Runtime
  This dependency package points to the Java runtime, or Java compatible
