## java-common 0.58mx15+1

=== debian/changelog ===
java-common (0.58mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 Mar 2017 12:03:48 -0800

java-common (0.58) unstable; urgency=medium

  * Team upload.
  * Fixed update-java-alternatives to work with the new jdk-headless packages.
    Thanks to Dominic Hargreaves for the patch (Closes: #825987)
  * Updated the package descriptions
  * Removed the unused Lintian overrides
  * Use secure Vcs-* URLs
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2017 13:55:31 +0100
