## java-common 0.58+deb9u1

=== debian/changelog ===
java-common (0.58+deb9u1) stretch; urgency=medium

  * Remove default-java-plugin as the icedtea-web Xul plugin is going away
  * Also drop the Recommends: to default-java-plugin in default-jre

 -- Moritz Mühlenhoff <jmm@debian.org>  Mon, 25 Mar 2019 21:49:32 +0100
