=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: java-common
 Section: java
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
@@ -25,7 +23,6 @@
 Architecture: any
 Depends: default-jre-headless (= ${binary:Version}), ${jre},
  ${misc:Depends}
-Recommends: default-java-plugin
 Provides: ${jre:provides}
 Description: Standard Java or Java compatible Runtime
  This dependency package points to the Java runtime, or Java compatible
@@ -79,16 +76,6 @@
  kit, or Java compatible development kit recommended for Debian, which is
  ${doc} for ${jre:arch}.
 
-Package: default-java-plugin
-Architecture: any
-Depends: default-jre (= ${binary:Version}), ${plugin}, ${misc:Depends}
-Provides: icedtea-plugin
-Description: Default Java Plugin for running applets and Java Web Start applications
- This dependency package points to the default Java Plugin recommended
- for the ${jre:arch} architecture. The Java Plugin adds the ability to run
- Java applets from a web browser and launch Java Web Start applications using
- the Java Network Launch Protocol (JNLP).
-
 Package: gcj-native-helper
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
