=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,7 @@
   jvmdir	= java-gcj
 endif
 
-# Build default-java-plugin for the architectures supporting icedtea-web only
-ifeq (,$(filter $(_java_host_arch),$(java_plugin_architectures)))
-  p_plugin      =
-endif
+p_plugin      =
 
 jre_provides	= java-runtime, java2-runtime, $(shell seq --format java%.f-runtime --separator ', ' 5 $(java_default_version))
 jhl_provides	= java-runtime-headless, java2-runtime-headless, $(shell seq --format java%.f-runtime-headless --separator ', ' 5 $(java_default_version))
