## java-common 0.58+hurd.1

=== debian/changelog ===
java-common (0.58+hurd.1) unreleased; urgency=medium

  * Team upload.
  * Fixed update-java-alternatives to work with the new jdk-headless packages.
    Thanks to Dominic Hargreaves for the patch (Closes: #825987)
  * Updated the package descriptions
  * Removed the unused Lintian overrides
  * Use secure Vcs-* URLs
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2017 13:55:31 +0100
