=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Architecture: any
 Depends: default-jre-headless (= ${binary:Version}), ${jre},
  ${misc:Depends}
+Recommends: default-java-plugin
 Provides: ${jre:provides}
 Description: Standard Java or Java compatible Runtime
  This dependency package points to the Java runtime, or Java compatible
@@ -76,6 +77,16 @@
  kit, or Java compatible development kit recommended for Debian, which is
  ${doc} for ${jre:arch}.
 
+Package: default-java-plugin
+Architecture: any
+Depends: default-jre (= ${binary:Version}), ${plugin}, ${misc:Depends}
+Provides: icedtea-plugin
+Description: Default Java Plugin for running applets and Java Web Start applications
+ This dependency package points to the default Java Plugin recommended
+ for the ${jre:arch} architecture. The Java Plugin adds the ability to run
+ Java applets from a web browser and launch Java Web Start applications using
+ the Java Network Launch Protocol (JNLP).
+
 Package: gcj-native-helper
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
