## java-common 0.59ubuntu1

=== debian/changelog ===
java-common (0.59ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - default-jre: Lower recommends of default-java-plugin to a suggests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Sep 2017 12:26:58 +0200

java-common (0.59) unstable; urgency=medium

  * Team upload.
  * Prepared the default values for Java 10
  * Standards-Version updated to 4.0.0
  * Refreshed debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 29 Jun 2017 16:32:52 +0200
