## java-common 0.63ubuntu1~02

=== debian/changelog ===
java-common (0.63ubuntu1~02) bionic; urgency=medium

  [ Tiago Stürmer Daitx ]
  * Merge with Debian; remaining changes:
    - debian/control:
      - add XB-Cnf-Extra-Commands hints to default-{jre,jdk}
        for the new command-not-found extraction
      - default-jre: Lower recommends of default-java-plugin to a suggests.

  [ Matthias Klose ]
  * Keep the version of the defaults packages at 1:10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Apr 2018 11:43:54 +0200

java-common (0.63) unstable; urgency=medium

  * Team upload
  * Move ia64 from Java 5 to Java 9 architectures (Closes: #894011)
  * Use debhelper 11

 -- tony mancill <tmancill@debian.org>  Tue, 03 Apr 2018 21:05:46 -0700

java-common (0.62ubuntu1) bionic; urgency=medium

  * Merge with Debian; no remaining changes.
    - debian/control:
      - add XB-Cnf-Extra-Commands hints to default-{jre,jdk}
        for the new command-not-found extraction
  * Still default to OpenJDK 8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Mar 2018 14:55:27 +0800

java-common (0.62) unstable; urgency=medium

  * Stop building the plugin package.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Mar 2018 01:35:10 +0800

java-common (0.61) unstable; urgency=medium

  * Don't build jre/jdk defaults packages on platforms still relying
    on java 5 (provided by gcj). Closes: #892529.
  * Remove kfreebsd-amd64 kfreebsd-i386 from java9_architectures.
  * Prepare the default values for Java 11
  * Stop building gcj-native-helper.
  * java_defaults.mk: Add two new macros:
    - java_default_architectures
    - java_dependency, call as $(call java_dependency, default-jdk)
      -> default-jdk [!hppa !ia64 !s390 !sparc !hurd-i386]

 -- Matthias Klose <doko@debian.org>  Thu, 15 Mar 2018 19:59:44 +0100

java-common (0.59ubuntu2) bionic; urgency=medium

  * debian/control:
    - add XB-Cnf-Extra-Commands hints to default-{jre,jdk}
      for the new command-not-found extraction

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Feb 2018 17:12:21 +0100
