=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: java-common
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/java-common.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/java-common.git
 Homepage: https://wiki.debian.org/Java/
@@ -29,6 +30,7 @@
  This dependency package points to the Java runtime, or Java compatible
  runtime recommended for this architecture, which is
  ${jre} for ${jre:arch}.
+XB-Cnf-Extra-Commands: java,jexec
 
 Package: default-jre-headless
 Architecture: any
@@ -53,6 +55,7 @@
  This dependency package points to the Java runtime, or Java compatible
  development kit recommended for this architecture, which is
  ${jdk} for ${jre:arch}.
+XB-Cnf-Extra-Commands: javac,javadoc,jar
 
 Package: default-jdk-headless
 Architecture: any
