=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,11 @@
 p_doc		= openjdk-$(java_default_version)-doc
 p_plugin	= icedtea-$(java_default_version)-plugin
 dversion	= 2:1.$(java_default_version)-$(release)
+$(warning XXXX $(java_default_version) / $(dversion))
+ifeq ($(java_default_version),11)
+  # we are really pointing to 10 for now
+  dversion	= 2:1.10-$(release)
+endif
 jvmdir		= java-1.$(java_default_version).0-openjdk-$(DEB_HOST_ARCH)
 
 ifeq (5, $(java_default_version))
@@ -28,7 +33,17 @@
   jvmdir	= java-gcj
 endif
 
+# Build default-java-plugin for the architectures supporting icedtea-web only
+ifeq (,$(filter $(_java_host_arch),$(java_plugin_architectures)))
+  p_plugin      =
+endif
 p_plugin      =
+
+nopkgs = -Ngcj-native-helper
+ifeq (5, $(java_default_version))
+	p_jre =
+	nopkgs += -N$(p_jre) -N$(p_jhl) -N$(p_jdk) -N$(p_jdkhl)
+endif
 
 jre_provides	= java-runtime, java2-runtime, $(shell seq --format java%.f-runtime --separator ', ' 5 $(java_default_version))
 jhl_provides	= java-runtime-headless, java2-runtime-headless, $(shell seq --format java%.f-runtime-headless --separator ', ' 5 $(java_default_version))
@@ -57,7 +72,7 @@
 	dh_link -pdefault-jre          /usr/share/doc/default-jre-headless /usr/share/doc/default-jre
 	dh_link -pdefault-jdk-headless /usr/share/doc/default-jre-headless /usr/share/doc/default-jdk-headless
 	dh_link -pdefault-jdk          /usr/share/doc/default-jre          /usr/share/doc/default-jdk
-	dh_link -pdefault-java-plugin  /usr/share/doc/default-jre          /usr/share/doc/default-java-plugin
+#	dh_link -pdefault-java-plugin  /usr/share/doc/default-jre          /usr/share/doc/default-java-plugin
 
 	dh_installdocs -pdefault-jdk-doc
 	dh_installdocs -pgcj-native-helper
@@ -65,7 +80,7 @@
 override_dh_gencontrol:
 	dh_gencontrol -i
 ifneq (,$(p_jre))
-	dh_gencontrol -a --no-package=default-java-plugin -- \
+	dh_gencontrol -a --no-package=default-java-plugin $(nopkgs) -- \
 		-v$(dversion) \
 		'-Vjre=$(p_jre)' \
 		'-Vjhl=$(p_jhl)' \
@@ -85,7 +100,7 @@
 override_dh_builddeb:
 	dh_builddeb -i
 ifneq (,$(p_jre))
-	dh_builddeb -a --no-package=default-java-plugin
+	dh_builddeb -a --no-package=default-java-plugin $(nopkgs)
 endif
 ifneq (,$(p_plugin))
 	dh_builddeb -pdefault-java-plugin
