## java-common 0.68ubuntu1~18.04.1

=== debian/changelog ===
java-common (0.68ubuntu1~18.04.1) bionic; urgency=medium

  * Backport from Cosmic.
  * Default to openjdk-11. (LP: #1814133)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 20 Feb 2019 16:31:12 +0000

java-common (0.68ubuntu1) cosmic; urgency=medium

  * Default to java11 architectures, again (10 still shipped in disguise
    of 11).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Sep 2018 11:37:20 +0200

java-common (0.68) unstable; urgency=medium

  * Team upload.
  * Moved powerpcspe to the list of Java 10 architectures (Closes: #901571)
  * Moved m68k to the list of Java 10 architectures (Closes: #904585)
  * Standards-Version updated to 4.1.5

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Jul 2018 23:47:52 +0200

java-common (0.67) unstable; urgency=medium

  * Team upload.
  * Added riscv64 to the list of Java 10 architectures (Closes: #897039)
  * default-jre no longer suggest default-java-plugin (Closes: #893849)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Jun 2018 14:02:34 +0200

java-common (0.66) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Use salsa.debian.org Vcs-* URLs
  * Removed the GCJ paths from jvm_includes
  * Simplified debian/rules

  [ Matthias Klose ]
  * Remove all references to the plugin and gcj packages.
  * Add the default values for Java 12

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 28 May 2018 15:59:28 +0200

java-common (0.65) unstable; urgency=medium

  * Bump sparc64 defaults to 1.10.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Apr 2018 22:34:12 +0200

java-common (0.63.1) experimental; urgency=medium

  [ Tiago Stürmer Daitx ]
  * debian/control:
    - add XB-Cnf-Extra-Commands hints to default-{jre,jdk}
      for the new command-not-found extraction
  * default-jre: Lower recommends of default-java-plugin to a suggests.

  [ Matthias Klose ]
  * Bump the version of the defaults packages to 1.10, keep defaults
    for m68k powerpcspe sparc64 at 1.9.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Apr 2018 20:00:51 +0200
