=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/java-common.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/java-common.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/java-team/java-common.git
+Vcs-Browser: https://salsa.debian.org/java-team/java-common
 Homepage: https://wiki.debian.org/Java/
 
 Package: java-common
@@ -24,7 +24,6 @@
 Architecture: any
 Depends: default-jre-headless (= ${binary:Version}), ${jre},
  ${misc:Depends}
-Suggests: default-java-plugin
 Provides: ${jre:provides}
 Description: Standard Java or Java compatible Runtime
  This dependency package points to the Java runtime, or Java compatible
@@ -79,29 +78,3 @@
  This dependency package points to the documentation for the Java development
  kit, or Java compatible development kit recommended for Debian, which is
  ${doc} for ${jre:arch}.
-
-Package: default-java-plugin
-Architecture: any
-Depends: default-jre (= ${binary:Version}), ${plugin}, ${misc:Depends}
-Provides: icedtea-plugin
-Description: Default Java Plugin for running applets and Java Web Start applications
- This dependency package points to the default Java Plugin recommended
- for the ${jre:arch} architecture. The Java Plugin adds the ability to run
- Java applets from a web browser and launch Java Web Start applications using
- the Java Network Launch Protocol (JNLP).
-
-Package: gcj-native-helper
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: gcj-jdk, ${misc:Depends}
-Provides: default-jdk-builddep
-Conflicts: default-jdk-builddep
-Replaces: default-jdk-builddep
-Description: Standard helper tools for creating gcj native packages
- This dependency package points to the build dependencies used to build
- gcj native packages.
- .
- Unlike default-jdk-builddep, this package only provides the
- helpers to compile jar/class files into native code and not
- a Java Development Kit (JDK). You do not need this package
- unless you are compiling jar/class files to native code.
