## java-common 0.71

=== debian/changelog ===
java-common (0.71) unstable; urgency=medium

  * Team upload.
  * Bump OpenJDK version for sh4 arch to 11 (Closes: #917772)
  * Bump Standards-Version to 4.3.0

 -- tony mancill <tmancill@debian.org>  Sat, 29 Dec 2018 19:04:23 -0800

java-common (0.70) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 28 Oct 2018 16:09:15 +0100

java-common (0.69) experimental; urgency=medium

  * Team upload.
  * Moved all Java 10 architectures to Java 11, except sh4 and powerpcspe
    (Closes: #910148)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 23:26:55 +0200
