## java-common 0.71.2

=== debian/changelog ===
java-common (0.71.2-1+dde) unstable; urgency=medium

  * add loongarch64 support

 -- Angie.J <doucaixia@uniontech.com>  Fri, 03 Sep 2021 12:04:23 +0800

java-common (0.71.1-1+dde) unstable; urgency=medium

  * uos sw64 porting

 -- deepin/sw64 team <sunway@deepin.com>  Mon, 22 Feb 2021 14:40:32 +0800
