## java-common 0.71.lnd.4

=== debian/changelog ===
java-common (0.71.lnd.4) unstable; urgency=medium

  * add openjdk-11 support for loongarch64

 -- Liu xiang <liuxiang@loongson.cn>  Tue, 1 Mar 2022 19:22:34 +0800

java-common (0.71.lnd.3) unstable; urgency=medium

  * remove openjdk-11 support for loongarch64 for iso build

 -- Nan xiongchao <nanxiongchao@loongson.cn>  Mon, 28 Jun 2021 09:32:34 +0000

java-common (0.71.lnd.2) unstable; urgency=medium

  * add openjdk-11 support for loongarch64

 -- Nan xiongchao <nanxiongchao@loongson.cn>  Fri, 28 May 2021 09:32:34 +0000

java-common (0.71.lnd.1) unstable; urgency=medium

  * loongarch64 support.

 -- Wang Ming <wangming@loongson>  Mon, 12 Oct 2020 19:04:23 +0800
