## java-common 0.72

=== debian/changelog ===
java-common (0.72) unstable; urgency=medium

  * Team upload.
  * Prepared the default values for Java 13 to 17
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 11:11:14 +0200
