## java-common 0.72build1

=== debian/changelog ===
java-common (0.72build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:22 +0200
