## java-common 0.72build2

=== debian/changelog ===
java-common (0.72build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:02:13 +0100
