## java-common 0.72+exp2

=== debian/changelog ===
java-common (0.72+exp2) experimental; urgency=medium

  * Team upload.
  * Use OpenJDK 17 on alpha, amd64, arm64, armel, armhf, i386, m68k, mips,
    mipsel, mips64el, ppc64, ppc64el, riscv64, s390x, sparc64 and x32.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 13:53:52 +0200
