=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: java-common
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/java-common.git
 Vcs-Browser: https://salsa.debian.org/java-team/java-common
 Homepage: https://wiki.debian.org/Java/
