## java-common 0.75+exp1

=== debian/changelog ===
java-common (0.75+exp1) experimental; urgency=medium

  * Team upload.
  * Use OpenJDK 21 on alpha, amd64, arm64, armel, armhf, i386, ia64, mipsel,
    mips64el, powerpc, ppc64, ppc64el, riscv64, s390x, sh4, sparc64 and x32

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Oct 2023 01:08:31 +0200
