## java-common 0.76

=== debian/changelog ===
java-common (0.76) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add hurd-amd64 case. Also closes: #1063732.

  [ Emmanuel Bourg ]
  * Use OpenJDK 21 on alpha, amd64, arm64, armel, armhf, i386, ia64, mipsel,
    mips64el, powerpc, ppc64, ppc64el, riscv64, s390x, sh4, sparc64 and x32.

  [ Matthias Klose ]
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Aug 2024 14:59:28 +0200
