## java-common 0.76build1

=== debian/changelog ===
java-common (0.76build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:14:32 +0100
