## java-common 0.76ubuntu1

=== debian/changelog ===
java-common (0.76ubuntu1) resolute; urgency=medium

  * Make OpenJDK 25 the default JVM in Ubuntu (LP: #2141711).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 13 Feb 2026 11:23:02 +1300
