## java-common 0.76+parrot1

=== debian/changelog ===
java-common (0.76+parrot1) echo; urgency=medium

  * Bump java 25 for amd64 and arm64

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 17 Dec 2025 19:48:57 +0100
